Bug 1356261 - Fixup tombstone task needs to set proper flag when updating tombstones
Summary: Fixup tombstone task needs to set proper flag when updating tombstones
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 20:30 UTC by Noriko Hosoi
Modified: 2016-11-03 20:44 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.5.10-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:44:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2016-07-13 20:30:54 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48924

The fixup tombstone task is not updating tombstones due to a flag not being set.

Comment 1 mreynolds 2016-07-14 15:21:47 UTC
Upstream test:  ds/dirsrvtests/test/tickets/ticket47819_test.py

Comment 3 Viktor Ashirov 2016-07-19 08:43:36 UTC
========================================================== test session starts ==========================================================
platform linux2 -- Python 2.7.5, pytest-2.9.2, py-1.4.31, pluggy-0.3.1 -- /usr/bin/python
cachedir: .cache
DS build: 1.3.5.10 B2016.197.39
389-ds-base: 1.3.5.10-5.el7
nss: 3.21.0-17.el7
nspr: 4.11.0-1.el7_2
openldap: 2.4.40-12.el7
svrcore: 4.1.2-1.el7

rootdir: /export/tests/tickets, inifile: 
plugins: beakerlib-0.5, html-1.9.0, cov-2.3.0
collected 2 items 

ticket47819_test.py::test_ticket47819 PASSED
ticket47819_test.py::test_ticket47819_final PASSED

======================================================= 2 passed in 47.24 seconds =======================================================

Tests pass, marking as VERIFIED

Comment 5 errata-xmlrpc 2016-11-03 20:44:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.